Subject: Rights that expire in 6 months (Re: #1175 Code vs text)

From: Harald Alvestrand <[email-masked]>
Date: Sun, 04 Jun 2006 00:38:50 +0200

John C Klensin wrote:
> The other issue, which ought to be orthogonal to this but
> impacts it, is that I-Ds are different from published, archival,
> RFCs.  Formally, I-Ds expire after six months and all rights,
> except those covered by the Note Well, revert to the author.
> Formally, we don't encourage production implementations from
> I-Ds, so whether anyone needs lasting rights to "code" embedded
> in I-Ds to fulfill any IETF purpose is an open question.  The
> practices are a little different, but I hope we can get those
> issues under control long before we have to sort them out of a
> document at Last Call.
after considering this for a while.... yes, I think it's orthogonal to 
#1175, but I have an opinon (as participant):

if a company copies code from draft -23 of a specification into its 
product, the IETF chooses to remove that example code from draft -48, 
and the company later makes the code work consistently with draft -53 
which is finally published as an RFC (with no code in it), I think that 
the company will be very unhappy if the draft -23 author comes along and 
demands royalties for the use of his code 6 months after its publication.

The company has acted in good faith to implement the IETF's standards, 
including gathering early experience ("rough consensus and running 
code"), and the threat of landing in a copyright no-man's land because 
of this is not a Good Thing for the Internet.

This is kind of a "reductio ad absurdum" way of working out my opinion 
on the matter, but I think I've convinced myself:
The right to use code extracted from I-Ds needs to be permanent.

                                          Harald

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: John C Klensin <[email-masked]>
Date: Sun, 04 Jun 2006 17:45:52 -0400

--On Sunday, June 04, 2006 00:38 +0200 Harald Alvestrand 
<[email-masked]> wrote:

>> impacts it, is that I-Ds are different from published,
>> archival, RFCs.  Formally, I-Ds expire after six months and
>> all rights, except those covered by the Note Well, revert to
>> the author. Formally, we don't encourage production
>> implementations from I-Ds, so whether anyone needs lasting
>> rights to "code" embedded in I-Ds to fulfill any IETF purpose
>> is an open question.  The practices are a little different,
>> but I hope we can get those issues under control long before
>> we have to sort them out of a document at Last Call.

> after considering this for a while.... yes, I think it's
> orthogonal to #1175, but I have an opinon (as participant):
>
> if a company copies code from draft -23 of a specification
> into its product, the IETF chooses to remove that example code
> from draft -48, and the company later makes the code work
> consistently with draft -53 which is finally published as an
> RFC (with no code in it), I think that the company will be
> very unhappy if the draft -23 author comes along and demands
> royalties for the use of his code 6 months after its
> publication.

And more unhappy if the author of -23 simply refuses to let them 
use the code at all.

> The company has acted in good faith to implement the IETF's
> standards, including gathering early experience ("rough
> consensus and running code"), and the threat of landing in a
> copyright no-man's land because of this is not a Good Thing
> for the Internet.

Actually, not.  And that is key... see below.

> This is kind of a "reductio ad absurdum" way of working out my
> opinion on the matter, but I think I've convinced myself:

If it is a reductio ad absurdum, it isn't on our IPR policies, 
but on the entire IETF standards model.   That model is out of 
scope for the IPR WG but, more importantly, falls into the "be 
careful what you wish for" category.

The IETF standards model is peculiar. We have never claimed to 
own the copyrights in our RFCs, we require people to disclose 
IPR claims but do not require any particular type of licensing 
assertion, some handwaving notwithstanding, we don't have a 
formal process for defining which drafts are standardization 
candidates prior to Last Call, and we do not treat our working 
drafts (i.e., I-Ds) as confidential material.   While I wouldn't 
go so far as to say 'unique' in each case, all of those are, at 
best, abnormal.

At least formally, we have encouraged people to implement and 
test things at the I-D level as means of determining whether an 
idea is workable.  We have _never_ encouraged anyone to 
incorporate I-D material (subject to copyright or not) into 
production code or other sorts of products, at least without a 
way of backing away quickly and significantly.  The case that 
you posit is interesting, not for the reason you identify, but 
because the remedy you suggest actively encourages organizations 
to ship and continue to support non-conforming implementations. 
What would you call those, "conforming to IETF almost-standards"?

Almost everything in our model of how we do standards is, for 
better or worse, connected to everything else.  We could solve a 
very broad class of problems by insisting that IETF own 
copyright to anything contributed to or produced as a 
consequence of IETF activities.   We could solve a very broad 
class of technology IPR problems by insisting, as a few 
consortia do, that introducing a technology for standardization 
or common action requires contributing patent, etc., rights in 
the technology to the IETF.  We could make I-Ds, or parts of 
I-Ds, non-expiring at the price of either trying to claim that 
they are IETF confidential documents or trade secrets (or 
equivalent) or by creating a process of review, evaluation, and 
acceptance of their appropriateness as a condition of posting. 
Another one of our theories, historically, is that we _post_ 
I-Ds at the request of the author, we do not "publish" them.

(You will note that, while I think his argument is confused, I 
believe Todd is claiming that accepting and approving I-Ds is 
precisely what we do, and, yes, that would have some 
implications if it was a path we decided to go down.)

So

(i) Be careful what you wish for

(ii) If you really wish for it, take it to newtrk.

(iii) And, if you believe that the IPR WG needs those answers 
before it can move forward, then suspend this WG until newtrk 
(or some other standards-process changing function) reaches its 
conclusions.

      john
b

---

From: "todd glassey" <[email-masked]>
Date: Sun, 4 Jun 2006 17:00:38 -0700

John -
----- Original Message ----- 
From: "John C Klensin" <[email-masked]>
To: "Harald Alvestrand" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, June 04, 2006 2:45 PM
Subject: Re: Rights that expire in 6 months (Re: #1175 Code vs text)

> >> archival, RFCs.

I didnt see anything that would limit the use of the IP in a ID based on the
license in its boiler plat - once its published its out there. The IETF has
no retraction process or terminus-of-licensing process such that any license
expires on any IETF wares as it is today... This is one of the problems -
the IETF loses control of all its IP the instant its published by its Any
and All Uses language.

> >> Formally, I-Ds expire after six months and

Todd

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 14 Jun 2006 12:00:01 +0200

I suspect I have a slightly different view from John on what
the status of "expired" I-Ds should be, but it doesn't affect
this conversation. It seems to me that despite the scenario
Harald suggests, trying to make assertions about durable rights
derived from documents that we also assert expire and should
not be referred to, will lead us into a jungle from which
we would never escape.

     Brian

John C Klensin wrote:
> And more unhappy if the author of -23 simply refuses to let them use the 
> code at all.
> 
> If it is a reductio ad absurdum, it isn't on our IPR policies, but on 
> the entire IETF standards model.   That model is out of scope for the 
> IPR WG but, more importantly, falls into the "be careful what you wish 
> for" category.
> 
> The IETF standards model is peculiar. We have never claimed to own the 
> copyrights in our RFCs, we require people to disclose IPR claims but do 
> not require any particular type of licensing assertion, some handwaving 
> notwithstanding, we don't have a formal process for defining which 
> drafts are standardization candidates prior to Last Call, and we do not 
> treat our working drafts (i.e., I-Ds) as confidential material.   While 
> I wouldn't go so far as to say 'unique' in each case, all of those are, 
> at best, abnormal.
> 
> At least formally, we have encouraged people to implement and test 
> things at the I-D level as means of determining whether an idea is 
> workable.  We have _never_ encouraged anyone to incorporate I-D material 
> (subject to copyright or not) into production code or other sorts of 
> products, at least without a way of backing away quickly and 
> significantly.  The case that you posit is interesting, not for the 
> reason you identify, but because the remedy you suggest actively 
> encourages organizations to ship and continue to support non-conforming 
> implementations. What would you call those, "conforming to IETF 
> almost-standards"?
> 
> Almost everything in our model of how we do standards is, for better or 
> worse, connected to everything else.  We could solve a very broad class 
> of problems by insisting that IETF own copyright to anything contributed 
> to or produced as a consequence of IETF activities.   We could solve a 
> very broad class of technology IPR problems by insisting, as a few 
> consortia do, that introducing a technology for standardization or 
> common action requires contributing patent, etc., rights in the 
> technology to the IETF.  We could make I-Ds, or parts of I-Ds, 
> non-expiring at the price of either trying to claim that they are IETF 
> confidential documents or trade secrets (or equivalent) or by creating a 
> process of review, evaluation, and acceptance of their appropriateness 
> as a condition of posting. Another one of our theories, historically, is 
> that we _post_ I-Ds at the request of the author, we do not "publish" them.
> 
> (You will note that, while I think his argument is confused, I believe 
> Todd is claiming that accepting and approving I-Ds is precisely what we 
> do, and, yes, that would have some implications if it was a path we 
> decided to go down.)
> 
> So
> 
> (iii) And, if you believe that the IPR WG needs those answers before it 
> can move forward, then suspend this WG until newtrk (or some other 
> standards-process changing function) reaches its conclusions.
> 
>      john
> b
>

---

From: "todd glassey" <[email-masked]>
Date: Thu, 29 Jun 2006 17:17:25 -0700

What does EXPIRED mean?  also what does VALID mean - both terms are used in
the new updated best Comedic Practices 78 document.